Name: moc
Summary: Music on Console - Console audio player for Linux/UNIX
Version: 2.5.0
Release: %mkrel 0.3.beta1
License: GPLv2+ and GPLv3+
URL: http://www.moc.daper.net
Group: Sound/Players
Source0: ftp://ftp.daper.net/pub/soft/moc/unstable/%{name}-%{version}-beta1.tar.bz2
Patch0: moc-r2506+fsf_addr.patch

BuildRequires: pkgconfig(ncurses) 
BuildRequires: pkgconfig(alsa) 
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libcurl) 
BuildRequires: pkgconfig(samplerate) 
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(taglib) 
BuildRequires: pkgconfig(speex) 
BuildRequires: pkgconfig(mad) 
BuildRequires: pkgconfig(id3tag) 
BuildRequires: pkgconfig(vorbis) 
BuildRequires: pkgconfig(flac) 
BuildRequires: pkgconfig(zlib) 
BuildRequires: pkgconfig(sndfile) 
BuildRequires: pkgconfig(libmodplug) 
BuildRequires: pkgconfig(wavpack) 
BuildRequires: db-devel 
BuildRequires: gettext-devel 
BuildRequires: pkgconfig(opus)
BuildRequires: libtool-devel

%description
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

%prep
%setup -q -n %{name}-%{version}-beta1
%patch0 -p1 -b moc-r2506+fsf_addr.patch

%build
autoreconf -fi

%configure --disable-static --with-rcc \
           --with-oss --with-alsa --with-jack --with-aac --with-mp3 \
           --with-musepack --with-vorbis --with-flac --with-wavpack  \
           --with-sndfile --with-modplug --with-ffmpeg --with-speex  \
           --with-samplerate --with-curl
%make

%install
%make_install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -f $RPM_BUILD_ROOT%_libdir/*.la
rm -f $RPM_BUILD_ROOT%_libdir/moc/decoder_plugins/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README README_equalizer AUTHORS ChangeLog COPYING config.example keymap.example NEWS
%dir %{_datadir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}/themes/*
%{_mandir}/*/*
%{_libdir}/moc/decoder_plugins



%changelog

* Sun Jan 20 2013 pterjan <pterjan> 2.5.0-0.3.beta1.mga3
+ Revision: 390135
- Add missing BuildRequires
- imported package moc


* Tue Dec 25 2012 Antonio Trande <sagitter@fedoraproject.org> 2.5.0-0.3.beta1
- Added librcc support (fixes encoding in broken mp3 tags)

* Mon Oct 22 2012 Antonio Trande <sagitter@fedoraproject.org> 2.5.0-0.2.beta1
- Added patch to fix FSF address

* Mon Oct 22 2012 Antonio Trande <sagitter@fedoraproject.org> 2.5.0-0.1.beta1
- 2.5.0-beta1
